> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve orders stats

> Retrieve orders stats



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json get /orders/metrics/stats
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /orders/metrics/stats:
    get:
      tags:
        - Metrics
      summary: Retrieve orders stats
      description: Retrieve orders stats
      operationId: get-orders-metrics
      parameters:
        - name: customer_id
          in: query
          description: customer id to filter data customer wise
          schema:
            type: string
        - name: date_from
          in: query
          description: start datetime
          required: true
          schema:
            type: string
            format: date-time
        - name: date_to
          in: query
          description: end datetime
          required: true
          schema:
            type: string
            format: date-time
        - name: interval
          in: query
          description: for aggregating data
          required: true
          schema:
            type: string
            enum:
              - hour
              - day
              - week
              - month
        - name: product_id
          in: query
          description: product id to filter data product wise
          schema:
            type: string
        - name: variant_id
          in: query
          description: variant id to filter data variant wise
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      stats:
                        type: object
                        properties:
                          date:
                            type: string
                          metrics:
                            $ref: '#/components/schemas/OrderStats'
                            type: object
                      lifetime_stats:
                        $ref: '#/components/schemas/OrderStats'
                    type: object
components:
  schemas:
    OrderStats:
      title: OrderStats
      type: object
      properties:
        total_order:
          type: integer
        total_revenue:
          type: number
        live_order:
          type: integer
        live_order_revenue:
          type: number
        completed_order:
          type: integer
        completed_order_revenue:
          type: number
        cancelled_order:
          type: integer
        cancelled_order_revenue:
          type: number
        conversion_rate:
          type: number
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````